.info-message, .error-message {
	font-size: 0.9em;
	margin-left: 20px;
	border: 1px solid;
	padding: 0.5em;
	border-radius: 5px;	
}
.error-message {
	border-color: #dc143c;
	background-color: #fcf2f2;
	color: #c7254e;
}
.info-message {
	color: #3a87ad;
	background-color: #d9edf7;
	border-color: #31708f;
}
body {
    overflow:hidden;
}
#text-canvas {
    background-color: transparent;
    position: absolute;
    left: 0px;
    top: 0px;
    z-index: 10;
}
#progress {
  width: 100%;
  background-color: #dddddd;
}
#progressBar {
  width: 0%;
  height: 30px;
  background-color: #4CAF50;
}
#start-button {
    background-color: #4CAF50;
    border: none;
    color: #FFF;
    padding: 10px 30px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
}
#start-button:hover {
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2), 0 6px 20px 0 rgba(0,0,0,0.19);
}
#start-button:disabled {
    background-color: #dddddd;
}
#container {
	width: 100%;
	height: 100%;
}
#container-left {
	float: left;
	width: 100%;
	height: 100%;
}
#container-right {
	position:absolute;
	right: 10px;
	top: 10px;
	width: 170px;
}
.control-button {
	font-size: 0.9em;
	padding-top: 20px;
	margin-left: 20px;
	border: 1px solid;
	padding: 0.3em;
	border-radius: 5px;	
	color: #101010;
	background-color: #aaaaaa;
	border-color: #555555;		
	opacity: 0.7;
}
.cbutton {
	width:100%;
}
.control-slide {
	font-size: 0.9em;
	padding-top: 20px;
	margin-left: 20px;
	border: 1px solid;
	padding: 0.3em;
	border-radius: 5px;	
	color: #101010;
	background-color: #aaaaaa;
	border-color: #555555;
	opacity: 0.7;
	height: 40px;
}
input[type=range] {
    -webkit-appearance: none;
  	margin-left: 20px;
	background-color: #aaaaaa;
  	width: 90px;
  	position: absolute;
  	right: 10px;
}
input[type=range]:focus {
  	outline: none;
}
input[type=range]::-webkit-slider-runnable-track {
  	width: 100%;
  	height: 12px;
  	cursor: pointer;
  	animate: 0.2s;
  	box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
  	background: #555555;
  	border-radius: 25px;
  	border: 0px solid #000101;
}
input[type=range]::-webkit-slider-thumb {
  	box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
  	border: 0px solid #000000;
  	height: 20px;
  	width: 20px;
  	border-radius: 10px;
  	background: #000000;
  	cursor: pointer;
  	-webkit-appearance: none;
  	margin-top: -3.6px;
}
input[type=range]::-moz-range-track {
    width: 100%;
    height: 12px;
    cursor: pointer;
    animate: 0.2s;
    box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
    background: #555555;
    border-radius: 25px;
    border: 0px solid #000101;
}
input[type=range]::-moz-range-thumb {
    box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
    border: 0px solid #000000;
    height: 20px;
    width: 20px;
    border-radius: 10px;
    background: #000000;
    cursor: pointer;
}
input[type=range]::-ms-track {
    width: 100%;
    height: 12px;
    cursor: pointer;
    animate: 0.2s;
    background: transparent;
    border-color: transparent;
    border-width: 25px 0;
    color: transparent;
}
input[type=range]::-ms-fill-lower {
    background: #555555;
    border: 0px solid #000101;
    border-radius: 50px;
    box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
}
input[type=range]::-ms-fill-upper {
    background: #555555;
    border: 0px solid #000101;
    border-radius: 50px;
    box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
}
input[type=range]::-ms-thumb {
    box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
    border: 0px solid #000000;
    height: 20px;
    width: 20px;
    border-radius: 10px;
    background: #000000;
    cursor: pointer;
}
input[type=range]:focus::-ms-fill-lower {
    background: #555555;
}
input[type=range]:focus::-ms-fill-upper {
    background: #555555;
}